Subject: Re: [RFC PATCH 14/17] kvm: add a reset capability

From: Avi Kivity <[email-masked]>
Date: Tue, 31 Mar 2009 23:18:35 +0300

Gregory Haskins wrote:
> Avi Kivity wrote:
>   
>> Gregory Haskins wrote:
>>     
>>> We need a way to detect if a VM is reset later in the series, so lets
>>> add a capability for userspace to signal a VM reset down to the kernel.
>>>   
>>>       
>> How do you handle the case of a guest calling kexec to load a new
>> kernel?  Or is that not important for your use case?
>>
>>     
>
> Hmm..I had not considered this.  Any suggestions on ways to detect it?
>
>   

Best would be not to detect it; it's tying global events into a device.  
Instead, have a reset command for your device and have the driver issue 
it on load and unload.

btw, reset itself would be better controlled from userspace; qemu knows 
about resets and can reset vbus devices directly instead of relying on 
kvm to reset them.  This decouples the two code bases a bit.  This is 
what virtio does.

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.